## libkf5ksieve 19.08.3

=== debian/changelog ===
libkf5ksieve (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:55:30 +0100

libkf5ksieve (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.
  * Update install files for new upstream release.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:41:17 +0100

libkf5ksieve (4:18.08.3-5) unstable; urgency=medium

  [ Sandro Knauß ]
  * Remove workaround for pkg-kde-tools.
  * Update dependency for pkg-kde-tools.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:53:46 +0100

libkf5ksieve (4:18.08.3-4) experimental; urgency=medium

  * Add workaround for bug in pkg-kde-tools to handle virtual packages
    correctly.

 -- Sandro Knauß <hefee@debian.org>  Tue, 08 Oct 2019 00:33:11 +0200

libkf5ksieve (4:18.08.3-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:43:23 +0200
